async function setActionIconAndTitle() {
	try {
		let { iconPath, iconTitle } = await browser.storage.local.get({iconPath: "icons/32_blue.png", iconTitle: "Test"});
		await browser.action.setIcon({path: iconPath});
		await browser.action.setTitle({title: iconTitle});
	}
	catch (error) {
		console.error(error);
	}
}

async function actionOnClick() {
	console.log("background.js", "actionOnClick");
}

async function runtimeOnInstalled() {
	console.log("background.js", "runtimeOnInstalled");
	await setActionIconAndTitle();
}

async function runtimeOnStartup() {
	console.log("background.js", "runtimeOnStartup");
	await setActionIconAndTitle();
}

browser.action.onClicked.addListener(actionOnClick);
browser.runtime.onInstalled.addListener(runtimeOnInstalled);
browser.runtime.onStartup.addListener(runtimeOnStartup);
